WordPress 2.8.6-4.9 - Authenticated JavaScript File Upload

Affects WordPresses

fixed in version 4.9.1
fixed in version 4.8.4
fixed in version 4.8.4
fixed in version 4.8.4
fixed in version 4.8.4
fixed in version 4.7.8
fixed in version 4.7.8
fixed in version 4.7.8
fixed in version 4.7.8
fixed in version 4.7.8
fixed in version 4.7.8
fixed in version 4.7.8
fixed in version 4.7.8
fixed in version 4.6.9
fixed in version 4.6.9
fixed in version 4.6.9
fixed in version 4.6.9
fixed in version 4.6.9
fixed in version 4.6.9
fixed in version 4.6.9
fixed in version 4.6.9
fixed in version 4.6.9
fixed in version 4.5.12
fixed in version 4.5.12
fixed in version 4.5.12
fixed in version 4.5.12
fixed in version 4.5.12
fixed in version 4.5.12
fixed in version 4.5.12
fixed in version 4.5.12
fixed in version 4.5.12
fixed in version 4.5.12
fixed in version 4.5.12
fixed in version 4.5.12
fixed in version 4.4.13
fixed in version 4.4.13
fixed in version 4.4.13
fixed in version 4.4.13
fixed in version 4.4.13
fixed in version 4.4.13
fixed in version 4.4.13
fixed in version 4.4.13
fixed in version 4.4.13
fixed in version 4.4.13
fixed in version 4.4.13
fixed in version 4.4.13
fixed in version 4.4.13
fixed in version 4.3.14
fixed in version 4.3.14
fixed in version 4.3.14
fixed in version 4.3.14
fixed in version 4.3.14
fixed in version 4.3.14
fixed in version 4.3.14
fixed in version 4.3.14
fixed in version 4.3.14
fixed in version 4.3.14
fixed in version 4.3.14
fixed in version 4.3.14
fixed in version 4.3.14
fixed in version 4.3.14
fixed in version 4.2.18
fixed in version 4.2.18
fixed in version 4.2.18
fixed in version 4.2.18
fixed in version 4.2.18
fixed in version 4.2.18
fixed in version 4.2.18
fixed in version 4.2.18
fixed in version 4.2.18
fixed in version 4.2.18
fixed in version 4.2.18
fixed in version 4.2.18
fixed in version 4.2.18
fixed in version 4.2.18
fixed in version 4.2.18
fixed in version 4.2.18
fixed in version 4.2.18
fixed in version 4.2.18
fixed in version 4.1.21
fixed in version 4.1.21
fixed in version 4.1.21
fixed in version 4.1.21
fixed in version 4.1.21
fixed in version 4.1.21
fixed in version 4.1.21
fixed in version 4.1.21
fixed in version 4.1.21
fixed in version 4.1.21
fixed in version 4.1.21
fixed in version 4.1.21
fixed in version 4.1.21
fixed in version 4.1.21
fixed in version 4.1.21
fixed in version 4.1.21
fixed in version 4.1.21
fixed in version 4.1.21
fixed in version 4.1.21
fixed in version 4.1.21
fixed in version 4.1.21
fixed in version 4.0.21
fixed in version 4.0.21
fixed in version 4.0.21
fixed in version 4.0.21
fixed in version 4.0.21
fixed in version 4.0.21
fixed in version 4.0.21
fixed in version 4.0.21
fixed in version 4.0.21
fixed in version 4.0.21
fixed in version 4.0.21
fixed in version 4.0.21
fixed in version 4.0.21
fixed in version 4.0.21
fixed in version 4.0.21
fixed in version 4.0.21
fixed in version 4.0.21
fixed in version 4.0.21
fixed in version 4.0.21
fixed in version 4.0.21
fixed in version 4.0.21
fixed in version 3.9.22
fixed in version 3.9.22
fixed in version 3.9.22
fixed in version 3.9.22
fixed in version 3.9.22
fixed in version 3.9.22
fixed in version 3.9.22
fixed in version 3.9.22
fixed in version 3.9.22
fixed in version 3.9.22
fixed in version 3.9.22
fixed in version 3.9.22
fixed in version 3.9.22
fixed in version 3.9.22
fixed in version 3.9.22
fixed in version 3.9.22
fixed in version 3.9.22
fixed in version 3.9.22
fixed in version 3.9.22
fixed in version 3.9.22
fixed in version 3.9.22
fixed in version 3.9.22
fixed in version 3.8.24
fixed in version 3.8.24
fixed in version 3.8.24
fixed in version 3.8.24
fixed in version 3.8.24
fixed in version 3.8.24
fixed in version 3.8.24
fixed in version 3.8.24
fixed in version 3.8.24
fixed in version 3.8.24
fixed in version 3.8.24
fixed in version 3.8.24
fixed in version 3.8.24
fixed in version 3.8.24
fixed in version 3.8.24
fixed in version 3.8.24
fixed in version 3.8.24
fixed in version 3.8.24
fixed in version 3.8.24
fixed in version 3.8.24
fixed in version 3.8.24
fixed in version 3.8.24
fixed in version 3.8.24
fixed in version 3.8.24
fixed in version 3.7.24
fixed in version 3.7.24
fixed in version 3.7.24
fixed in version 3.7.24
fixed in version 3.7.24
fixed in version 3.7.24
fixed in version 3.7.24
fixed in version 3.7.24
fixed in version 3.7.24
fixed in version 3.7.24
fixed in version 3.7.24
fixed in version 3.7.24
fixed in version 3.7.24
fixed in version 3.7.24
fixed in version 3.7.24
fixed in version 3.7.24
fixed in version 3.7.24
fixed in version 3.7.24
fixed in version 3.7.24
fixed in version 3.7.24
fixed in version 3.7.24
fixed in version 3.7.24
fixed in version 3.7.24
fixed in version 3.7.24
fixed in version 4.9.1
fixed in version 4.9.1
fixed in version 4.9.1
fixed in version 4.9.1
fixed in version 4.9.1
fixed in version 4.9.1
fixed in version 4.9.1
fixed in version 4.9.1
fixed in version 4.9.1
fixed in version 4.9.1
fixed in version 4.9.1
fixed in version 4.9.1
fixed in version 4.9.1
fixed in version 4.9.1
fixed in version 4.9.1
fixed in version 4.9.1
fixed in version 4.9.1
fixed in version 4.9.1
fixed in version 4.9.1
fixed in version 4.9.1
fixed in version 4.9.1
fixed in version 4.9.1
fixed in version 4.9.1
fixed in version 4.9.1
fixed in version 4.9.1
fixed in version 4.9.1
fixed in version 4.9.1
fixed in version 4.9.1
fixed in version 4.9.1
fixed in version 4.9.1

References

CVE 2017-17092
URL https://wordpress.org/news/2017/11/wordpress-4-9-1-security-and-maintenance-release/
URL https://github.com/WordPress/WordPress/commit/67d03a98c2cae5f41843c897f206adde299b0509

Classification

Type BYPASS

Miscellaneous

Submitter ethicalhack3r
Submitter Website https://dewhurstsecurity.com/
Submitter Twitter ethicalhack3r
Views 15949
Verified No
WPVDB ID 8966

Timeline

Publicly Published 2017-11-29 (about 2 years ago)
Added 2017-11-30 (about 2 years ago)
Last Updated 2019-11-01 (about 1 month ago)

Our Other Services

Online WordPress Vulnerability Scanner WPScan WordPress Security Plugin